package com.steering.mes.mcp.entity;
/**
 * 数据库表MAT_ZC_M所对应的实体类（生成工具：代码生成器2.4）
 * @author PC-201412141732   date 2016-02-29
 */
public class MatZcMEntity {
    /**
     * 管理封锁标志（0未封锁、1管理封锁）
     */
    private String mngLockFlag;
    /**
     * 质量封锁标志（0未封锁、2质量封锁）
     */
    private String lockFlag;
    /**
     * 原合同号
     */
    private String oldOrderNo;
    /**
     * 原合同行号
     */
    private String oldOrderSeq;
    /**
     * 原合同子行号
     */
    private String oldOrderSeqNo;
    /**
     * 判定申请标记(1、确认缴库；0等待)
     */
    private String jugdeApplyFlag;
    /**
     * 来料加工标记
     */
    private String comeProcFlag;
    /**
     * 允发标志(1是、0否)
     */
    private String confmFlag;
    /**
     * 入库标志(1是、0否)
     */
    private String instockFlag;
    /**
     * 入库时间
     */
    private String instockTime;
    /**
     * 生产班次
     */
    private String proBc;
    /**
     * 生产班组
     */
    private String proBz;
    /**
     * 生产下线时间
     */
    private String rpoTime;
    /**
     * 是否已接箍组批
     */
    private String ifBatchedJg;
    /**
     * 接箍作业批次号
     */
    private String coupcutBatchId;
    /**
     * 合同主键
     */
    private String ordPk;
    /**
     * 合同行主键
     */
    private String ordLnPk;
    /**
     * 交货行主键
     */
    private String ordLnDlyPk;
    /**
     * 结算日期（年月）
     */
    private String balYearMonth;
    /**
     * 判定标准
     */
    private String judgeStdName;
    /**
     * 判定标准代码
     */
    private String judgeStdCode;
    /**
     * 产品等级
     */
    private String judgeGrade;
    /**
     * 备注(入库)
     */
    private String pipmemo;
    /**
     * 材料来源地代码（产线、外委、外购对应的具体项目）
     */
    private String soureCode;
    /**
     * 材料来源地名称
     */
    private String soureName;
    /**
     * 材料号（管号）规则---(15)----母料号000
     */
    private String matNo;
    /**
     * 材料类别（8014在制品、成品、商品）
     */
    private String productFlag;
    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     */
    private String matStatus;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 批号（炉批号）
     */
    private String batchNo;
    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     */
    private String batchGroudNo;
    /**
     * 材料顺序号(生产队列号)
     */
    private String matSqeNo;
    /**
     * 物料码
     */
    private String materialNo;
    /**
     * 物料描叙
     */
    private String materialName;
    /**
     * 品名代码
     */
    private String produccode;
    /**
     * 品名描述
     */
    private String producname;
    /**
     * 钢级(牌号)代码
     */
    private String steelcode;
    /**
     * 钢级(牌号)名称
     */
    private String steelname;
    /**
     * 钢种代码
     */
    private String gradecode;
    /**
     * 钢种名称
     */
    private String gradename;
    /**
     * 产品规格代码
     */
    private String specCode;
    /**
     * 产品规格描述
     */
    private String specName;
    /**
     * 扣型代码
     */
    private String modelCode;
    /**
     * 扣型描述
     */
    private String modelDesc;
    /**
     * 标准代码
     */
    private String stdCode;
    /**
     * 标准名称
     */
    private String stdName;
    /**
     * 标准类别代码
     */
    private String stdStyle;
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc;
    /**
     * 合同号
     */
    private String orderNo;
    /**
     * 合同行号
     */
    private String orderSeq;
    /**
     * 合同子行号
     */
    private String orderSeqNo;
    /**
     * 工序代码
     */
    private String processCdoe;
    /**
     * 工序名称
     */
    private String processDesc;
    /**
     * 生产产线代码
     */
    private String plineCode;
    /**
     * 生产产线名称
     */
    private String plineName;
    /**
     * 材料来源代码（1外购、2机组产出等）
     */
    private String matOriginCode;
    /**
     * 材料来源（1外购、2机组产出等）
     */
    private String matOriginName;
    /**
     * 外径(实际)
     */
    private String actDimater;
    /**
     * 壁厚(实际)
     */
    private String actHeight;
    /**
     * 长度(实际)
     */
    private String actLen;
    /**
     * 长度下限(实际)
     */
    private String actLenMin;
    /**
     * 长度上限(实际)
     */
    private String actLenMax;
    /**
     * 材料支数(实际)
     */
    private String actCount;
    /**
     * 材料实重(实际)
     */
    private String actWeight;
    /**
     * 材料理论重量(实际)
     */
    private String actTheoryWeight;
    /**
     * 所属权单位代码
     */
    private String belongCode;
    /**
     * 所属权单位
     */
    private String belongName;

    private String storageNo;
    private String locationNo;
    private String laryNo;
    private String locNo;
    private String storageAttr;
    private String storageAttrName;
    private String storageTypeNo;
    private String storageTypeName;
    private String managementNo;
    private String managementName;
    private String departmentCode;
    private String departmentDesc;
    private String stoveNo;
    public MatZcMEntity(){
        mngLockFlag = "";
        lockFlag = "";
        oldOrderNo = "";
        oldOrderSeq = "";
        oldOrderSeqNo = "";
        jugdeApplyFlag = "";
        comeProcFlag = "";
        confmFlag = "";
        instockFlag = "";
        instockTime = "";
        proBc = "";
        proBz = "";
        rpoTime = "";
        ifBatchedJg = "";
        coupcutBatchId = "";
        ordPk = "";
        ordLnPk = "";
        ordLnDlyPk = "";
        balYearMonth = "";
        judgeStdName = "";
        judgeStdCode = "";
        judgeGrade = "";
        pipmemo = "";
        soureCode = "";
        soureName = "";
        matNo = "";
        productFlag = "";
        matStatus = "";
        judgeStoveNo = "";
        batchNo = "";
        batchGroudNo = "";
        matSqeNo = "";
        materialNo = "";
        materialName = "";
        produccode = "";
        producname = "";
        steelcode = "";
        steelname = "";
        gradecode = "";
        gradename = "";
        specCode = "";
        specName = "";
        modelCode = "";
        modelDesc = "";
        stdCode = "";
        stdName = "";
        stdStyle = "";
        stdStyleDesc = "";
        orderNo = "";
        orderSeq = "";
        orderSeqNo = "";
        processCdoe = "";
        processDesc = "";
        plineCode = "";
        plineName = "";
        matOriginCode = "";
        matOriginName = "";
        actDimater = "";
        actHeight = "";
        actLen = "";
        actLenMin = "";
        actLenMax = "";
        actCount = "";
        actWeight = "";
        actTheoryWeight = "";
        belongCode = "";
        belongName = "";
    }

    public String getStoveNo() {
        return stoveNo;
    }

    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 管理封锁标志（0未封锁、1管理封锁）
     * @return value
     */
    public String getMngLockFlag() {
        return mngLockFlag;
    }

    /**
     * 管理封锁标志（0未封锁、1管理封锁）
     * @param mngLockFlag value
     */
    public void setMngLockFlag(String mngLockFlag) {
        this.mngLockFlag = mngLockFlag;
    }

    /**
     * 质量封锁标志（0未封锁、2质量封锁）
     * @return value
     */
    public String getLockFlag() {
        return lockFlag;
    }

    /**
     * 质量封锁标志（0未封锁、2质量封锁）
     * @param lockFlag value
     */
    public void setLockFlag(String lockFlag) {
        this.lockFlag = lockFlag;
    }

    /**
     * 原合同号
     * @return value
     */
    public String getOldOrderNo() {
        return oldOrderNo;
    }

    /**
     * 原合同号
     * @param oldOrderNo value
     */
    public void setOldOrderNo(String oldOrderNo) {
        this.oldOrderNo = oldOrderNo;
    }

    /**
     * 原合同行号
     * @return value
     */
    public String getOldOrderSeq() {
        return oldOrderSeq;
    }

    /**
     * 原合同行号
     * @param oldOrderSeq value
     */
    public void setOldOrderSeq(String oldOrderSeq) {
        this.oldOrderSeq = oldOrderSeq;
    }

    /**
     * 原合同子行号
     * @return value
     */
    public String getOldOrderSeqNo() {
        return oldOrderSeqNo;
    }

    /**
     * 原合同子行号
     * @param oldOrderSeqNo value
     */
    public void setOldOrderSeqNo(String oldOrderSeqNo) {
        this.oldOrderSeqNo = oldOrderSeqNo;
    }

    /**
     * 判定申请标记(1、确认缴库；0等待)
     * @return value
     */
    public String getJugdeApplyFlag() {
        return jugdeApplyFlag;
    }

    /**
     * 判定申请标记(1、确认缴库；0等待)
     * @param jugdeApplyFlag value
     */
    public void setJugdeApplyFlag(String jugdeApplyFlag) {
        this.jugdeApplyFlag = jugdeApplyFlag;
    }

    /**
     * 来料加工标记
     * @return value
     */
    public String getComeProcFlag() {
        return comeProcFlag;
    }

    /**
     * 来料加工标记
     * @param comeProcFlag value
     */
    public void setComeProcFlag(String comeProcFlag) {
        this.comeProcFlag = comeProcFlag;
    }

    /**
     * 允发标志(1是、0否)
     * @return value
     */
    public String getConfmFlag() {
        return confmFlag;
    }

    /**
     * 允发标志(1是、0否)
     * @param confmFlag value
     */
    public void setConfmFlag(String confmFlag) {
        this.confmFlag = confmFlag;
    }

    /**
     * 入库标志(1是、0否)
     * @return value
     */
    public String getInstockFlag() {
        return instockFlag;
    }

    /**
     * 入库标志(1是、0否)
     * @param instockFlag value
     */
    public void setInstockFlag(String instockFlag) {
        this.instockFlag = instockFlag;
    }

    /**
     * 入库时间
     * @return value
     */
    public String getInstockTime() {
        return instockTime;
    }

    /**
     * 入库时间
     * @param instockTime value
     */
    public void setInstockTime(String instockTime) {
        this.instockTime = instockTime;
    }

    /**
     * 生产班次
     * @return value
     */
    public String getProBc() {
        return proBc;
    }

    /**
     * 生产班次
     * @param proBc value
     */
    public void setProBc(String proBc) {
        this.proBc = proBc;
    }

    /**
     * 生产班组
     * @return value
     */
    public String getProBz() {
        return proBz;
    }

    /**
     * 生产班组
     * @param proBz value
     */
    public void setProBz(String proBz) {
        this.proBz = proBz;
    }

    /**
     * 生产下线时间
     * @return value
     */
    public String getRpoTime() {
        return rpoTime;
    }

    /**
     * 生产下线时间
     * @param rpoTime value
     */
    public void setRpoTime(String rpoTime) {
        this.rpoTime = rpoTime;
    }

    /**
     * 是否已接箍组批
     * @return value
     */
    public String getIfBatchedJg() {
        return ifBatchedJg;
    }

    /**
     * 是否已接箍组批
     * @param ifBatchedJg value
     */
    public void setIfBatchedJg(String ifBatchedJg) {
        this.ifBatchedJg = ifBatchedJg;
    }

    /**
     * 接箍作业批次号
     * @return value
     */
    public String getCoupcutBatchId() {
        return coupcutBatchId;
    }

    /**
     * 接箍作业批次号
     * @param coupcutBatchId value
     */
    public void setCoupcutBatchId(String coupcutBatchId) {
        this.coupcutBatchId = coupcutBatchId;
    }

    /**
     * 合同主键
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * 合同主键
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * 合同行主键
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * 合同行主键
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * 交货行主键
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货行主键
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 判定标准
     * @return value
     */
    public String getJudgeStdName() {
        return judgeStdName;
    }

    /**
     * 判定标准
     * @param judgeStdName value
     */
    public void setJudgeStdName(String judgeStdName) {
        this.judgeStdName = judgeStdName;
    }

    /**
     * 判定标准代码
     * @return value
     */
    public String getJudgeStdCode() {
        return judgeStdCode;
    }

    /**
     * 判定标准代码
     * @param judgeStdCode value
     */
    public void setJudgeStdCode(String judgeStdCode) {
        this.judgeStdCode = judgeStdCode;
    }

    /**
     * 产品等级
     * @return value
     */
    public String getJudgeGrade() {
        return judgeGrade;
    }

    /**
     * 产品等级
     * @param judgeGrade value
     */
    public void setJudgeGrade(String judgeGrade) {
        this.judgeGrade = judgeGrade;
    }

    /**
     * 备注(入库)
     * @return value
     */
    public String getPipmemo() {
        return pipmemo;
    }

    /**
     * 备注(入库)
     * @param pipmemo value
     */
    public void setPipmemo(String pipmemo) {
        this.pipmemo = pipmemo;
    }

    /**
     * 材料来源地代码（产线、外委、外购对应的具体项目）
     * @return value
     */
    public String getSoureCode() {
        return soureCode;
    }

    /**
     * 材料来源地代码（产线、外委、外购对应的具体项目）
     * @param soureCode value
     */
    public void setSoureCode(String soureCode) {
        this.soureCode = soureCode;
    }

    /**
     * 材料来源地名称
     * @return value
     */
    public String getSoureName() {
        return soureName;
    }

    /**
     * 材料来源地名称
     * @param soureName value
     */
    public void setSoureName(String soureName) {
        this.soureName = soureName;
    }

    /**
     * 材料号（管号）规则---(15)----母料号000
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号（管号）规则---(15)----母料号000
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 材料类别（8014在制品、成品、商品）
     * @return value
     */
    public String getProductFlag() {
        return productFlag;
    }

    /**
     * 材料类别（8014在制品、成品、商品）
     * @param productFlag value
     */
    public void setProductFlag(String productFlag) {
        this.productFlag = productFlag;
    }

    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     * @return value
     */
    public String getMatStatus() {
        return matStatus;
    }

    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     * @param matStatus value
     */
    public void setMatStatus(String matStatus) {
        this.matStatus = matStatus;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（炉批号）
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（炉批号）
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 材料顺序号(生产队列号)
     * @return value
     */
    public String getMatSqeNo() {
        return matSqeNo;
    }

    /**
     * 材料顺序号(生产队列号)
     * @param matSqeNo value
     */
    public void setMatSqeNo(String matSqeNo) {
        this.matSqeNo = matSqeNo;
    }

    /**
     * 物料码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 物料码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 物料描叙
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 物料描叙
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 合同子行号
     * @return value
     */
    public String getOrderSeqNo() {
        return orderSeqNo;
    }

    /**
     * 合同子行号
     * @param orderSeqNo value
     */
    public void setOrderSeqNo(String orderSeqNo) {
        this.orderSeqNo = orderSeqNo;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCdoe() {
        return processCdoe;
    }

    /**
     * 工序代码
     * @param processCdoe value
     */
    public void setProcessCdoe(String processCdoe) {
        this.processCdoe = processCdoe;
    }

    /**
     * 工序名称
     * @return value
     */
    public String getProcessDesc() {
        return processDesc;
    }

    /**
     * 工序名称
     * @param processDesc value
     */
    public void setProcessDesc(String processDesc) {
        this.processDesc = processDesc;
    }

    /**
     * 生产产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 生产产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 生产产线名称
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 生产产线名称
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 材料来源代码（1外购、2机组产出等）
     * @return value
     */
    public String getMatOriginCode() {
        return matOriginCode;
    }

    /**
     * 材料来源代码（1外购、2机组产出等）
     * @param matOriginCode value
     */
    public void setMatOriginCode(String matOriginCode) {
        this.matOriginCode = matOriginCode;
    }

    /**
     * 材料来源（1外购、2机组产出等）
     * @return value
     */
    public String getMatOriginName() {
        return matOriginName;
    }

    /**
     * 材料来源（1外购、2机组产出等）
     * @param matOriginName value
     */
    public void setMatOriginName(String matOriginName) {
        this.matOriginName = matOriginName;
    }

    /**
     * 外径(实际)
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径(实际)
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 壁厚(实际)
     * @return value
     */
    public String getActHeight() {
        return actHeight;
    }

    /**
     * 壁厚(实际)
     * @param actHeight value
     */
    public void setActHeight(String actHeight) {
        this.actHeight = actHeight;
    }

    /**
     * 长度(实际)
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 长度(实际)
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 长度下限(实际)
     * @return value
     */
    public String getActLenMin() {
        return actLenMin;
    }

    /**
     * 长度下限(实际)
     * @param actLenMin value
     */
    public void setActLenMin(String actLenMin) {
        this.actLenMin = actLenMin;
    }

    /**
     * 长度上限(实际)
     * @return value
     */
    public String getActLenMax() {
        return actLenMax;
    }

    /**
     * 长度上限(实际)
     * @param actLenMax value
     */
    public void setActLenMax(String actLenMax) {
        this.actLenMax = actLenMax;
    }

    /**
     * 材料支数(实际)
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 材料支数(实际)
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 材料实重(实际)
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 材料实重(实际)
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 材料理论重量(实际)
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 材料理论重量(实际)
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 所属权单位代码
     * @return value
     */
    public String getBelongCode() {
        return belongCode;
    }

    /**
     * 所属权单位代码
     * @param belongCode value
     */
    public void setBelongCode(String belongCode) {
        this.belongCode = belongCode;
    }

    /**
     * 所属权单位
     * @return value
     */
    public String getBelongName() {
        return belongName;
    }

    /**
     * 所属权单位
     * @param belongName value
     */
    public void setBelongName(String belongName) {
        this.belongName = belongName;
    }

    public String getStorageNo() {
        return storageNo;
    }

    public void setStorageNo(String storageNo) {
        this.storageNo = storageNo;
    }

    public String getLocationNo() {
        return locationNo;
    }

    public void setLocationNo(String locationNo) {
        this.locationNo = locationNo;
    }

    public String getLaryNo() {
        return laryNo;
    }

    public void setLaryNo(String laryNo) {
        this.laryNo = laryNo;
    }

    public String getLocNo() {
        return locNo;
    }

    public void setLocNo(String locNo) {
        this.locNo = locNo;
    }

    public String getStorageAttr() {
        return storageAttr;
    }

    public void setStorageAttr(String storageAttr) {
        this.storageAttr = storageAttr;
    }

    public String getStorageAttrName() {
        return storageAttrName;
    }

    public void setStorageAttrName(String storageAttrName) {
        this.storageAttrName = storageAttrName;
    }

    public String getStorageTypeNo() {
        return storageTypeNo;
    }

    public void setStorageTypeNo(String storageTypeNo) {
        this.storageTypeNo = storageTypeNo;
    }

    public String getStorageTypeName() {
        return storageTypeName;
    }

    public void setStorageTypeName(String storageTypeName) {
        this.storageTypeName = storageTypeName;
    }

    public String getManagementNo() {
        return managementNo;
    }

    public void setManagementNo(String managementNo) {
        this.managementNo = managementNo;
    }

    public String getManagementName() {
        return managementName;
    }

    public void setManagementName(String managementName) {
        this.managementName = managementName;
    }

    public String getDepartmentCode() {
        return departmentCode;
    }

    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    public String getDepartmentDesc() {
        return departmentDesc;
    }

    public void setDepartmentDesc(String departmentDesc) {
        this.departmentDesc = departmentDesc;
    }
    
}